<?php
/**
 * @file
 * NewsFlash teheme-settings.php
 */
function newsflash_form_system_theme_settings_alter(&$form, \Drupal\Core\Form\FormStateInterface $form_state) {

  $unit_options = array('%' => '%', 'px' => 'px', 'em' => 'em');
//$theme = $form_state['build_info']['args'][0];

  $form['page'] = array(
    '#type' => 'details',
    '#title' => t('Page settings'),
    '#open' => TRUE,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['font'] = array(
    '#type' => 'details',
    '#title' => t('Font settings'),
    '#open' => FALSE,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['misc'] = array(
    '#type' => 'details',
    '#title' => t('Misc settings'),
    '#open' => FALSE,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['page']['newsflash_color_style'] = array
  (
    '#type' => 'select',
    '#title' => t('Style'),
    '#default_value' => theme_get_setting('newsflash_color_style', $theme = NULL),
    '#description' => t('Choose your favorite color.'),
    '#options' => array
    (
      'copper' => t('Copper'),
      'green' => t('Green'),
      'blue' => t('Blue'),
      'black' => t('Black'),
      'red' => t('Red'),
      'violet' => t('Violet'),
      'aqua' => t('Aqua'),
    ),
  );

  /*
    $form['newsflash_Responsive'] = array
    (
      '#type' => 'checkbox',
      '#title' => t('Enable Responsive Style'),
      '#description' => t('<b style="color:red;">Experimental Function to set the Theme in Responsive mode for Mobil devices<br/>The resulotion ar on 300px to 1200px and a min screen resulution of 144dpi</strong>'),
      '#default_value' => theme_get_setting('newsflash_Responsive', $theme = NULL),
    );
  */

  $form['page']['newsflash_page_width_unit'] = array(
    '#type' => 'select',
    '#title' => t('Page width unit'),
    '#default_value' => theme_get_setting('newsflash_page_width_unit', $theme = NULL),
    '#options' => $unit_options,
  );

  $form['page']['newsflash_page_width'] = array
  (
    '#type' => 'textfield',
    '#title' => t('Width Size'),
    '#description' => t('Set the Page width, 25 for % or 210 for Pixel<br/>remember, width works on screen more than 850px, under them is automatic use % for responsive.'),
    '#default_value' => theme_get_setting('newsflash_page_width', $theme = NULL),
    '#size' => 5,
    '#maxlength' => 5,
  );

  $form['page']['newsflash_page_max_width_unit'] = array(
    '#type' => 'select',
    '#title' => t('Page max width unit'),
    '#default_value' => theme_get_setting('newsflash_page_max_width_unit', $theme = NULL),
    '#options' => $unit_options,
  );

  $form['page']['newsflash_page_max_width'] = array
  (
    '#type' => 'textfield',
    '#title' => t('Max Width Size'),
    '#description' => t('Set the max page width<br /><strong>eg.: 95 for % or 1280 for pixel</strong>'),
    '#default_value' => theme_get_setting('newsflash_page_max_width', $theme = NULL),
    '#size' => 5,
    '#maxlength' => 5,
  );

  $form['page']['newsflash_sidebar_width_unit'] = array(
    '#type' => 'select',
    '#title' => t('Sidebar width unit'),
    '#default_value' => theme_get_setting('newsflash_sidebar_width_unit', $theme = NULL),
    '#options' => $unit_options,
  );

  $form['page']['newsflash_sidebar_first_width'] = array
  (
    '#type' => 'textfield',
    '#title' => t('Sidebar first width'),
    '#description' => t('Set the first sidebar width 25 for % or 210 for Pixel<br/>remember, width works on screen more than 850px, under them is automatic use % for responsive.'),
    '#default_value' => theme_get_setting('newsflash_sidebar_first_width', $theme = NULL),
    '#size' => 3,
    '#maxlength' => 3,
  );

  $form['page']['newsflash_sidebar_second_width'] = array
  (
    '#type' => 'textfield',
    '#title' => t('Sidebar second width'),
    '#description' => t('Set the second sidebar width 25 for % or 210 for Pixel<br/>remember, width works on screen more than 850px, under them is automatic use % for responsive.'),
    '#default_value' => theme_get_setting('newsflash_sidebar_second_width', $theme = NULL),
    '#size' => 3,
    '#maxlength' => 3,
  );

  $form['page']['newsflash_content_pos'] = array(
    '#type' => 'select',
    '#title' => t('Content Position'),
    '#default_value' => theme_get_setting('newsflash_content_pos', $theme = NULL),
    '#options' => array(
      'left' => 'left',
      'between' => 'between',
      'right' => 'right'
    ),
  );

  $form['misc']['newsflash_sfm'] = array
  (
    '#type' => 'checkbox',
    '#title' => t('Use menubar as Suckerfish menu'),
    '#description' => t('<span style="color:red;">Suckerfich menu is not responsive!.</span>'),
    '#default_value' => theme_get_setting('newsflash_sfm', $theme = NULL),
  );

  /*  $form['newsflash_breadcrumb'] = array
    (
      '#type' => 'checkbox',
      '#title' => t('Show Breadcrumb'),
      '#description' => t('Enable/disable Breadcrumb menu'),
      '#default_value' => theme_get_setting('newsflash_breadcrumb', $theme = NULL),
    );
  */
  /*  $form['newsflash_permalink'] = array
    (
      '#type' => 'checkbox',
      '#title' => t('Show Permanent Links'),
      '#description' => t('Enable/disable permanent links in comments'),
      '#default_value' => theme_get_setting('newsflash_permalink', $theme = NULL),
    );
  */

  $form['font']['newsflash_font_family'] = array
  (
    '#type' => 'select',
    '#title' => t('Font Family'),
    '#description' => t('Choose your favorite Fonts'),
    '#default_value' => theme_get_setting('newsflash_font_family', $theme = NULL),
    '#options' => array
    (
      'Arial, Verdana, sans-serif' => t('Arial, Verdana, sans-serif'),
      '"Arial Narrow", Arial, Helvetica, sans-serif' => t('"Arial Narrow", Arial, Helvetica, sans-serif'),
      '"Times New Roman", Times, serif' => t('"Times New Roman", Times, serif'),
      '"Lucida Sans", Verdana, Arial, sans-serif' => t('"Lucida Sans", Verdana, Arial, sans-serif'),
      '"Lucida Grande", Verdana, sans-serif' => t('"Lucida Grande", Verdana, sans-serif'),
      'Tahoma, Verdana, Arial, Helvetica, sans-serif' => t('Tahoma, Verdana, Arial, Helvetica, sans-serif'),
      'Georgia, "Times New Roman", Times, serif' => t('Georgia, "Times New Roman", Times, serif'),
      'Custom' => t('Custom (specify below)'),
    ),
  );

  $form['font']['newsflash_custom_font'] = array
  (
    '#type' => 'textfield',
    '#title' => t('Custom Font-Family Setting'),
    '#description' => t('type your fonts separated by ,<br />eg. <strong>"Lucida Grande", Verdana, sans-serif</strong>'),
    '#default_value' => theme_get_setting('newsflash_custom_font', $theme = NULL),
    '#size' => 40,
    '#maxlength' => 255,
  );

  /*  $form['newsflash_use_local_content'] = array
    (
      '#type' => 'checkbox',
      '#title' => t('Include Custom Stylesheet'),
      '#default_value' => theme_get_setting('newsflash_use_local_content', $theme = NULL),
    );
  */
  $form['newsflash_local_content_file'] =
    array(
    '#type' => 'textarea',
    '#title' => t('Custom style area'),
//    '#description' => t('type the location of your custom css without leading slash<br />eg. <strong>sites/all/themes/newsflash/css/icons.css</strong>'),
    '#description' => t('You can write your own css code here'),
    '#default_value' => theme_get_setting('newsflash_local_content_file', $theme = NULL),
//    '#size' => 40,
//    '#maxlength' => 75,
  );

  $form['misc']['newsflash_pickstyle'] = array
  (
    '#type' => 'checkbox',
    '#title' => t('Enable StylePicker Javascript'),
    '#description' => t('If enabled then you can use stylepicker see README.txt.'),
    '#default_value' => theme_get_setting('newsflash_pickstyle', $theme = NULL),
  );

  $form['misc']['newsflash_theme_logo'] = array
  (
    '#type' => 'checkbox',
    '#title' => t('Use Themed Logo'),
    '#description' => t('If enabled then will the themed logo use the color you have selected above.'),
    '#default_value' => theme_get_setting('newsflash_theme_logo', $theme = NULL),
  );

  $form['misc']['newsflash_use_custom_logo_size'] = array
  (
    '#type' => 'checkbox',
    '#title' => t('Specify Custom Logo Size'),
    '#default_value' => theme_get_setting('newsflash_use_custom_logo_size', $theme = NULL),
  );

  $form['misc']['newsflash_logo_width_unit'] = array(
    '#type' => 'select',
    '#title' => t('Logo width unit'),
    '#default_value' => theme_get_setting('newsflash_logo_width_unit', $theme = NULL),
    '#options' => $unit_options,
  );

  $form['misc']['newsflash_logo_width'] = array
  (
    '#type' => 'textfield',
    '#title' => t('Logo Width'),
    '#description' => t('Set the width in Pixel.'),
    '#default_value' => theme_get_setting('newsflash_logo_width', $theme = NULL),
    '#size' => 5,
    '#maxlength' => 5,
  );

  $form['misc']['newsflash_logo_height'] = array
  (
    '#type' => 'textfield',
    '#title' => t('Logo Height'),
    '#description' => t('Set the width in Pixel.'),
    '#default_value' => theme_get_setting('newsflash_logo_height', $theme = NULL),
    '#size' => 5,
    '#maxlength' => 5,
  );

  $form['misc']['newsflash_banner'] = array
  (
    '#type' => 'checkbox',
    '#title' => t('Show RoopleTheme Footer Logo'),
    '#description' => t('if unchecked then roopletheme logo in the footer will disapear<br />so you don\'t need touch the code'),
    '#default_value' => theme_get_setting('newsflash_banner', $theme = NULL),
  );
  //return $form;
}
